using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace FMSAdmin.Entities {
    public partial class CmPatrolGroupUser {
        [Key]
        public int SiteId { get; set; }
        [Key]
        public int PatrolGroupId { get; set; }
        [Key]
        [StringLength(24)]
        public string UserId { get; set; }

        [ForeignKey("SiteId,PatrolGroupId")]
        [InverseProperty("CmPatrolGroupUser")]
        public virtual CmPatrolGroup CmPatrolGroup { get; set; }
        [ForeignKey("UserId")]
        [InverseProperty("CmPatrolGroupUser")]
        public virtual CmUser CmUser { get; set; }
    }
}
